bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?


From: Noam Postavsky
Subject: bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?
Date: Thu, 2 Nov 2017 13:49:11 -0400

On Fri, Nov 4, 2016 at 4:17 PM, Svante Signell <address@hidden> wrote:
> Hello,
>
> In order for you to try out the FTBFS problems of emacs24/25 on
> GNU/Hurd, maybe somebody wants to set up a VM image. The easiest way to
> do that would be to read:
> https://people.debian.org/~sthibault/hurd-i386/installer/cdimage/
> or using a pre-installed image: (3GiB)
> tinyurl.com/6dyly5d
> containing debian-hurd.img.tar.gz

I managed to install from the DVD image, and doing 'apt-get -b source
emacs25' succeeds in building all three lucid, nox, and x versions.
The process doesn't finish completely because 'make check' fails (file
notify tests didn't pass), but all three executables are functional
(although I was only able to test with -nw, because 'startx' fails
with "Unable to determine if running on a console").

Also 'apt-get install emacs25' works, so it seems the package is
building fine now, not just for me:

In GNU Emacs 25.2.2 (i686-pc-gnu, GTK+ Version 3.22.3)
 of 2017-07-11, modified by Debian built on ironforge





reply via email to

[Prev in Thread] Current Thread [Next in Thread]